JspServletWrapper (Jasper Internal API Documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JspServletWrapper

    java.lang.Object
      org.apache.jasper.servlet.JspServletWrapper

public class JspServletWrapper
extends java.lang.Object

The JSP engine (a.k.a Jasper). The servlet container is responsible for providing a URLClassLoader for the web application context Jasper is being used in. Jasper will try get the Tomcat ServletContext attribute for its ServletContext class loader, if that fails, it uses the parent class loader. In either case, it must be a URLClassLoader.

Author:
  Anil K. Vijendran, Harish Prabandham, Remy Maucherat, Kin-man Chung, Glenn Nielsen

Method Summary
`void` | `destroy()`
`JspCompilationContext` | `getJspEngineContext()`
`javax.servlet.Servlet` | `getServlet()`
`javax.servlet.ServletContext` | `getServletContext()`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean precompile)`
`void` | `setReload(boolean reload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJspEngineContext

    public JspCompilationContext getJspEngineContext()

### setReload

    public void setReload(boolean reload)

### getServlet

    public javax.servlet.Servlet getServlet()
                                     throws javax.servlet.ServletException,
                                            java.io.IOException,
                                            java.io.FileNotFoundException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        boolean precompile)
                 throws javax.servlet.ServletException,
                        java.io.IOException,
                        java.io.FileNotFoundException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
    `java.io.FileNotFoundException`

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.